SRT-DEDUPLICATE(1)

NAME
srt-deduplicate - SRT subtitle processing tool

DESCRIPTION
usage: srt deduplicate [-h] [--input FILE] [--output FILE] [--inplace]

[--no-strict] [--debug] [--ignore-parsing-errors]
    [--encoding ENCODING] [-t MILLISECONDS]

Deduplicate repeated subtitles.

  options:

-h, --help
    show this help message and exit

--input FILE, -i FILE
    the file to process (default: stdin)

--output FILE, -o FILE
    the file to write to (default: stdout)

--inplace, -p
    modify file in place

--no-strict
    allow blank lines in output, your media player may explode

--debug
    enable debug logging

--ignore-parsing-errors, -c
    try to keep going, even if there are parsing errors

--encoding ENCODING, -e ENCODING
    the encoding to read/write files in (default: utf8)

-t MILLISECONDS, --ms MILLISECONDS
    how many milliseconds distance a subtitle start time must be within of another to be considered a duplicate (default: 5000ms)

  examples:

    Remove duplicated subtitles within 5 seconds of each other

    $ srt deduplicate -i duplicated.srt

    Remove duplicated subtitles within 500 milliseconds of each other

    $ srt deduplicate -t 500 -i duplicated.srt

    Remove duplicated subtitles regardless of temporal proximity

    $ srt deduplicate -t 0 -i duplicated.srt